#
# spec file for package yast2-slp-server
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-slp-server
Summary:        YaST2 SLP Daemon Server Configuration
Version:        5.0.0
Release:        1.5
Group:          System/YaST
License:        GPL-2.0-or-later
URL:            https://github.com/yast/yast-slp-server

Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  update-desktop-files
BuildRequires:  yast2-devtools >= 4.2.2
# CWM::ServiceWidget
BuildRequires:  yast2 >= 4.1.0
# for install task
BuildRequires:  rubygem(%rb_default_ruby_abi:yast-rake)
# testsuite
BuildRequires:  rubygem(%rb_default_ruby_abi:rspec)
# CWM::ServiceWidget
Requires:       yast2 >= 4.1.0
Requires:       yast2-ruby-bindings >= 1.0.0

Supplements:    autoyast(slp-server)

BuildArch:      noarch

%description
This package contains the YaST2 component for the configuration of an
SLP daemon.

%prep
%setup -q

%check
rake test:unit

%install
%yast_install
%yast_metainfo

%files
%{yast_yncludedir}
%{yast_libdir}
%{yast_clientdir}
%{yast_moduledir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_scrconfdir}
%{yast_icondir}

%doc %{yast_docdir}
%license COPYING

%build

%changelog
* Wed Aug 30 2023 Josef Reidinger <jreidinger@suse.cz>
- 5.0.0 (bsc#1185510)
* Fri Mar  3 2023 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.6.0 (bsc#1208913)
* Wed Apr  6 2022 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.5.0 for openSUSE Leap 15.4 / Tumbleweed
  (bsc#1198109)
* Thu May  6 2021 Ladislav Slezák <lslezak@suse.cz>
- 4.4.0 (bsc#1185510)
* Tue Aug 11 2020 schubi@suse.de
- AutoYaST: Added supplements: autoyast(slp-server) into the spec file
  in order to install this packages if the section has been defined
  in the AY configuration file (bsc#1146494).
- 4.3.0
* Mon Mar  9 2020 Knut Anderssen <kanderssen@suse.com>
- Do not break when running the module without 'openslp-server'
  package installed (bsc#1165638)
- 4.2.1
* Fri May 31 2019 Stasiek Michalski <hellcp@mailbox.org>
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.0
* Mon Nov 26 2018 Noah Davis <noahadvs@gmail.com>
- Provide icon with module (boo#1109310)
- 4.1.1
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Wed Aug 22 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Fri Aug 10 2018 jlopez@suse.com
- Use new Yast2::ServiceWidget to manage the service status
  (part of fate#319428).
- 4.1.0
* Thu Jun 28 2018 schubi@suse.de
- Added additional searchkeys to desktop file (fate#321043).
- 4.0.1
* Fri Apr  6 2018 mfilka@suse.com
- bnc#1087957 - version bump
- 4.0.0
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.5
* Fri Nov 13 2015 igonzalezsosa@suse.com
- Fix handling of broken options due to bsc#878892
  (bsc#954494)
- 3.1.4
* Wed Jul 29 2015 igonzalezsosa@suse.com
- Fix comments handling on slp.conf (bsc#878892)
- 3.1.3
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
- 3.1.2
* Thu Nov 14 2013 vmoravec@suse.com
- fix incorrect firewall service bnc#825505
- 3.1.1
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Wed Jul  3 2013 lslezak@suse.cz
- Removed useless BuildRequires: docbook-xsl-stylesheets doxygen
  libxslt perl-XML-Writer popt-devel sgml-skel yast2-perl-bindings
  yast2-packagemanager-devel
- 2.24.0
* Tue Sep 27 2011 visnov@suse.cz
- set dialog title
- 2.21.1
* Fri Sep 16 2011 visnov@suse.de
- remove unneded dialogs and deprecated import
- 2.21.0
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Fri Jul  1 2011 mvidner@suse.cz
- Proofread texts for translation (by A.Turrini, bnc#703238).
* Tue Jun 21 2011 jreidinger@suse.cz
- use ButtonBox for OK/Cancel (bnc#701262)
* Tue Nov  9 2010 mzugec@suse.cz
- improved fix for bnc#291301 (write also values that wasn't readed)
- 2.20.0
* Mon Jun 28 2010 mzugec@suse.cz
- parse config file case sensitive
- 2.19.0
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Thu May 21 2009 mzugec@suse.cz
- accept both IP and hostname in configuration (bnc#501941)
- 2.18.1
* Mon Jan 26 2009 mzugec@suse.cz
- button labeling (bnc#440537)
- 2.18.0
* Mon Dec 15 2008 mzugec@suse.cz
- allow more than one DA IP address(bnc#430336)
- 2.17.2
* Mon Sep 29 2008 mzugec@suse.de
- fixed menu category for gnome (bnc#429429)
- 2.17.1
* Mon Jul 21 2008 mzugec@suse.cz
- use correct cases for configuration options (bnc#291301)
- 2.17.0
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Thu Apr 24 2008 mzugec@suse.cz
- fixed SCR agent for slp.reg.d/* files (bnc#374310)
- 2.16.2
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
- 2.16.1
* Tue Feb 26 2008 mzugec@suse.de
- check if network is running
- 2.16.0
* Mon Jul 16 2007 mzugec@suse.cz
- don't disable Scopes for "Becomes DA Server" option (#291307)
- don't use lowercase options in slp.conf (#291301)
- 2.15.0
* Tue Jun 12 2007 mzugec@suse.cz
- fixed server configuration handling (#257568)
- 2.14.2
* Tue Nov 21 2006 mzugec@suse.cz
- #219445 - slp-server with broken msgid
- 2.14.1
* Mon Oct 23 2006 mzugec@suse.cz
- #213878 - add description to desktop file
- 2.14.0
* Tue May  9 2006 mzugec@suse.cz
- fixed #173916 - add support for autoinstallation
* Thu May  4 2006 mzugec@suse.cz
- proofread
* Mon Apr 24 2006 mzugec@suse.cz
- testsuite
* Thu Mar 23 2006 mzugec@suse.cz
- fixed #160315 - check if user is root
* Tue Mar 21 2006 mzugec@suse.cz
- fixed #159653 - move package to net services group
* Fri Jan 20 2006 mzugec@suse.cz
- install packages
* Tue Jan  3 2006 mzugec@suse.cz
- functional version
* Thu Dec 22 2005 mzugec@suse.cz
- prepared to build
* Fri Dec 16 2005 mzugec@suse.cz
- initial version
